## kf6-kimageformats 6.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.10.0") # handled by release scripts
set(KF_DEP_VERSION "6.10.0") # handled by release scripts
project(KImageFormats VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.10.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${KImageFormats_SOURCE_DIR}/cmake/find-modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(CheckIncludeFiles)
include(FindPkgConfig)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF6Archive ${KF_DEP_VERSION})
set_package_properties(KF6Archive PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for Krita and OpenRaster images"
)

# EPS support depends on the gs utility; non-UNIX systems are unlikely to have
# this available in PATH
set(BUILD_EPS_PLUGIN FALSE)
if (UNIX)
    find_package(Qt6PrintSupport ${REQUIRED_QT_VERSION} NO_MODULE)
    set_package_properties(Qt6PrintSupport PROPERTIES
        PURPOSE "Required for the QImage plugin for EPS images"
        TYPE OPTIONAL
    )
    if (TARGET Qt6::PrintSupport)
        set(BUILD_EPS_PLUGIN TRUE)
    endif()
endif()

find_package(OpenEXR 3.0 CONFIG QUIET)
if(NOT OpenEXR_FOUND)
    find_package(OpenEXR)
endif()
set_package_properties(OpenEXR PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for OpenEXR images"
)

find_package(libavif 0.8.2 CONFIG QUIET)
if(NOT libavif_FOUND)
    find_package(libavif 1 CONFIG)
endif()
set_package_properties(libavif PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for AVIF images"
)

option(KIMAGEFORMATS_DDS "Enable plugin for DDS format" ON)

option(KIMAGEFORMATS_HEIF "Enable plugin for HEIF format" OFF)
if(KIMAGEFORMATS_HEIF)
    pkg_check_modules(LibHeif IMPORTED_TARGET libheif>=1.10.0)
endif()
add_feature_info(LibHeif LibHeif_FOUND "required for the QImage plugin for HEIF/HEIC images")

option(KIMAGEFORMATS_JXL "Enable plugin for JPEG XL format" ON)
if(KIMAGEFORMATS_JXL)
    pkg_check_modules(LibJXL IMPORTED_TARGET libjxl>=0.7.0)
    pkg_check_modules(LibJXLThreads IMPORTED_TARGET libjxl_threads>=0.7.0)
    pkg_check_modules(LibJXLCMS IMPORTED_TARGET libjxl_cms>=0.9.0)
endif()
add_feature_info(LibJXL LibJXL_FOUND "required for the QImage plugin for JPEG XL images")

find_package(LibRaw 0.20.2)
set_package_properties(LibRaw PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for the QImage plugin for RAW images"
)

# JXR plugin disabled by default due to security issues
option(KIMAGEFORMATS_JXR "Enable plugin for JPEG XR format" OFF)
if(KIMAGEFORMATS_JXR)
    find_package(LibJXR)
endif()
add_feature_info(LibJXR LibJXR_FOUND "required for the QImage plugin for JPEG XR images")

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.8.0
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/imageformats/CMakeLists.txt ===
# NB: the desktop files are installed for the benefit of KImageIO in KDELibs4Support.

##################################

function(kimageformats_add_plugin plugin)
    set(options)
    set(oneValueArgs)
    set(multiValueArgs SOURCES)
    cmake_parse_arguments(KIF_ADD_PLUGIN "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
    if(NOT KIF_ADD_PLUGIN_SOURCES)
        message(FATAL_ERROR "kimageformats_add_plugin called without SOURCES parameter")
    endif()

    qt_add_plugin(${plugin} PLUGIN_TYPE imageformats)
    target_sources(${plugin} PRIVATE ${KIF_ADD_PLUGIN_SOURCES})
    set_target_properties(${plugin} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/imageformats)
    target_link_libraries(${plugin} PRIVATE Qt6::Gui)
    install(TARGETS ${plugin} DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/imageformats)
endfunction()

##################################

kimageformats_add_plugin(kimg_ani SOURCES ani.cpp)

##################################

if (TARGET avif)
    kimageformats_add_plugin(kimg_avif SOURCES "avif.cpp")
    target_link_libraries(kimg_avif PRIVATE "avif")
endif()

##################################

if(KIMAGEFORMATS_DDS)
    kimageformats_add_plugin(kimg_dds SOURCES dds.cpp scanlineconverter.cpp)
endif()

##################################

if (BUILD_EPS_PLUGIN)
    if (TARGET Qt6::PrintSupport)
        kimageformats_add_plugin(kimg_eps SOURCES eps.cpp)
        target_link_libraries(kimg_eps PRIVATE Qt6::PrintSupport)
    endif()
endif()

##################################

if(OpenEXR_FOUND)
    kimageformats_add_plugin(kimg_exr SOURCES exr.cpp scanlineconverter.cpp)
    if(TARGET OpenEXR::OpenEXR)
        target_link_libraries(kimg_exr PRIVATE OpenEXR::OpenEXR)
    else()
        if(OpenEXR_VERSION_STRING VERSION_LESS 2.3.0)
            # Older OpenEXR versions use dynamic exception specifications, so
            # cannot use C++17 with them
            set_target_properties(kimg_exr PROPERTIES CXX_STANDARD 14)
        endif()
        target_link_libraries(kimg_exr PRIVATE OpenEXR::IlmImf)
    endif()
    kde_target_enable_exceptions(kimg_exr PRIVATE)
endif()

##################################

kimageformats_add_plugin(kimg_hdr SOURCES hdr.cpp)

##################################

if (LibHeif_FOUND)
    kimageformats_add_plugin(kimg_heif SOURCES heif.cpp)
    target_link_libraries(kimg_heif PRIVATE PkgConfig::LibHeif)
endif()

##################################

if (LibJXL_FOUND AND LibJXLThreads_FOUND)
    kimageformats_add_plugin(kimg_jxl SOURCES jxl.cpp)
    target_link_libraries(kimg_jxl PRIVATE PkgConfig::LibJXL PkgConfig::LibJXLThreads)
    if(LibJXL_VERSION VERSION_GREATER_EQUAL "0.9.0")
        if(LibJXLCMS_FOUND)
            target_link_libraries(kimg_jxl PRIVATE PkgConfig::LibJXLCMS)
        else()
            message(SEND_ERROR "libjxl_cms was not found!")
        endif()
    endif()
endif()

##################################

kimageformats_add_plugin(kimg_pcx SOURCES pcx.cpp)

##################################

kimageformats_add_plugin(kimg_pic SOURCES pic.cpp)

##################################

kimageformats_add_plugin(kimg_pfm SOURCES pfm.cpp)

##################################

kimageformats_add_plugin(kimg_psd SOURCES psd.cpp scanlineconverter.cpp)

##################################

kimageformats_add_plugin(kimg_pxr SOURCES pxr.cpp)

##################################

kimageformats_add_plugin(kimg_qoi SOURCES qoi.cpp scanlineconverter.cpp)

##################################

kimageformats_add_plugin(kimg_ras SOURCES ras.cpp)

##################################

kimageformats_add_plugin(kimg_rgb SOURCES rgb.cpp)

##################################

kimageformats_add_plugin(kimg_sct SOURCES sct.cpp)

##################################

kimageformats_add_plugin(kimg_tga SOURCES tga.cpp)

##################################

kimageformats_add_plugin(kimg_xcf SOURCES xcf.cpp)

##################################

if (LibRaw_FOUND)
    kimageformats_add_plugin(kimg_raw SOURCES raw.cpp)
    kde_enable_exceptions()
    target_link_libraries(kimg_raw PRIVATE LibRaw::LibRaw)
endif()

##################################

if (LibJXR_FOUND)
    kimageformats_add_plugin(kimg_jxr SOURCES jxr.cpp)
    kde_enable_exceptions()
    target_include_directories(kimg_jxr PRIVATE ${LIBJXR_INCLUDE_DIRS})
    target_link_libraries(kimg_jxr PRIVATE ${LIBJXR_LIBRARIES})
    target_compile_definitions(kimg_jxr PRIVATE INITGUID)
    if (NOT CMAKE_SYSTEM_NAME STREQUAL "Windows")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=undef")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=undef")
    endif()
endif()

##################################

if (KF6Archive_FOUND)

    kimageformats_add_plugin(kimg_kra SOURCES kra.cpp)
    target_link_libraries(kimg_kra PRIVATE KF6::Archive)

    kimageformats_add_plugin(kimg_ora SOURCES ora.cpp)
    target_link_libraries(kimg_ora PRIVATE KF6::Archive)

endif()

## kf6-kimageformats 6.3.0

=== debian/changelog ===
kf6-kimageformats (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:55:05 +0200

kf6-kimageformats (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename kf6-kimageformat-plugins to kimageformat6-plugins.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 May 2024 21:13:57 +0200

kf6-kimageformats (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Apr 2024 03:26:36 +0200

kimageformats (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release 5.115.0 (Closes: #1053665).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Disable tests.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:32 +0100

kimageformats (5.107.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Adrian Bunk ]
  * debian/rules: Specify -fexcess-precision=fast for i386 to avoid FTBFS
    due to GCC 13 changing its default behavior. (Closes: #1053830)

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Oct 2023 16:16:43 -0400

kimageformats (5.107.0-3) unstable; urgency=medium

  * Team upload.
  * Add the qt5-image-formats-plugins test build dependency, needed for some
    of the psd tests
    - drop patch disable-failing-test.patch, no more needed now
  * Fix the tests of the HEIF/HEIC plugin with the new Debian packaging of
    libheif 1.16.2, which provides the various plugins as separate packages:
    (Closes: #1040255)
    - add libheif-plugin-libde265, and libheif-plugin-x265 both as test build
      dependencies, and runtime dependencies, as the plugin needs at least
      these two to load and do basic reading/writing
    - enable again the plugin

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 20:08:33 +0200

kimageformats (5.107.0-2) unstable; urgency=medium

  * Team upload.
  * Temporarily disable the HEIF/HEIC plugin, as it does not work properly with
    newer versions of libheif (see #1040255).

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 18:59:08 +0200

kimageformats (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Add patch to disable failing test.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:35 +0200

kimageformats (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:55 +0100

kimageformats (5.103.0-2) unstable; urgency=medium

  * Build with -ffloat-store on i386. (Closes: #1031900)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 Feb 2023 08:09:43 +0100

kimageformats (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:26 +0100

kimageformats (5.102.0-2) unstable; urgency=medium

  * Team upload.
  * Extend the libjxl-dev build dependency to all the Linux architectures,
    as it builds on all of them now.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Jan 2023 10:48:54 +0100

kimageformats (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

kimageformats (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Limit the libjxl-dev build dependency only on amd64, and i386, as it is not
    available on all the architectures yet.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 22:34:51 +0100

kimageformats (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Add libjxl-dev and libraw-dev as build dependencies for JPEG XL and
    RAW file formats support. (Closes: #1026033)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:27 +0100

kimageformats (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:00 +0100

kimageformats (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:42 +0200

kimageformats (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:33 +0200

kimageformats (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Drop patch upstream_psd-Fix-segfault-on-architectures-where-char-is-
    unsi.patch applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:02 +0200

kimageformats (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Enable the HEIF/HEIC plugin:


=== debian/control ===
Source: kf6-kimageformats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libavif-dev (>= 1~),
               libheif-dev (>= 1.10.0~),
               libheif-plugin-libde265 <!nocheck>,
               libheif-plugin-x265 <!nocheck>,
               libjxl-dev (>= 0.7.0~) [linux-any],
               libkf6archive-dev (>= 6.3.0~),
               libopenexr-dev (>= 3.0~),
               libraw-dev (>= 0.20.2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-image-formats-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kimageformats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
Rules-Requires-Root: no

Package: kimageformat6-plugins
Architecture: any
Depends: libheif-plugin-libde265,
         libheif-plugin-x265,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kf6-kimageformat-plugins,
Replaces: kf6-kimageformat-plugins,
Description: additional image format plugins for Qt Gui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks 6.

## kf6-kimageformats 6.6.0

=== debian/changelog ===
kf6-kimageformats (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Add optional dep libxkbcommon-dev.
    - Add patch from upstream to fix readtest autotest.
    - Allow tests to fail on s390x. 

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:34:52 +0100

kf6-kimageformats (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:23 +0100

kf6-kimageformats (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Remove unused build dependencies: librav1e-dev, libsvtav1enc-dev,
    libxkbcommon-dev, and libyuv-dev.
  * Add libheif-plugin-j2kdec as build dependency and runtime dependency,
    as it is needed to provide codecs needed by the HEIF plugin.
  * Enable the test suite again, as it should work fine now.
  * Temporarily ignore the test suite failures on 32bit architectures;
    not ideal, but at least we can get results.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Aug 2024 09:01:17 +0200

kf6-kimageformats (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:05 +0200

kf6-kimageformats (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Add missing build-dependencies not correctly pulled by libavif-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: kf6-kimageformats
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
+               libheif-plugin-j2kdec <!nocheck>,
                libheif-plugin-libde265 <!nocheck>,
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
-               libkf6archive-dev (>= 6.3.0~),
+               libjxr-dev,
+               libkf6archive-dev (>= 6.6.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                libxkbcommon-dev,
@@ -24,13 +27,14 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
 Rules-Requires-Root: no
 
 Package: kimageformat6-plugins
 Architecture: any
-Depends: libheif-plugin-libde265,
+Depends: libheif-plugin-j2kdec,
+         libheif-plugin-libde265,
          libheif-plugin-x265,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
endif

ifeq ($(DEB_HOST_ARCH_BITS),32)
  fail_param := || true
endif

ifeq ($(DEB_HOST_ARCH_CPU),s390x)
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKIMAGEFORMATS_HEIF=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test $(fail_param)

## kf6-kimageformats 6.8.0

=== debian/changelog ===
kf6-kimageformats (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:09:47 +0100

kf6-kimageformats (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

kf6-kimageformats (6.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix endianness bug in PCX reader on big endian architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Sep 2024 01:23:42 +0200

kf6-kimageformats (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: kf6-kimageformats
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.8.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-j2kdec <!nocheck>,
@@ -16,10 +15,9 @@
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
                libjxr-dev,
-               libkf6archive-dev (>= 6.6.0~),
+               libkf6archive-dev (>= 6.8.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
-               libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-image-formats-plugins <!nocheck>,
@@ -27,8 +25,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
 Rules-Requires-Root: no
 
 Package: kimageformat6-plugins

## kf6-kimageformats 6.9.0

=== debian/changelog ===
kf6-kimageformats (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Don't fail on build time tests.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:08 +0000

kf6-kimageformats (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * Drop included upstream_Fixed_comparison_of_unsigned_expression.patch
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kf6-kimageformats
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.8.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-j2kdec <!nocheck>,
@@ -15,9 +16,10 @@
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
                libjxr-dev,
-               libkf6archive-dev (>= 6.8.0~),
+               libkf6archive-dev (>= 6.9.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
+               libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-image-formats-plugins <!nocheck>,
@@ -25,8 +27,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
 Rules-Requires-Root: no
 
 Package: kimageformat6-plugins

## kf6-kimageformats 6.10.0

=== debian/changelog ===
kf6-kimageformats (6.10.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream fix for tests failing on several architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Jan 2025 20:05:50 +0100

kf6-kimageformats (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Revert upstream commit "HEIF plug-in extended to read AVCI format",
    it currently breaks with HEIF we have in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:28 +0100

=== debian/control ===
Source: kf6-kimageformats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               libavif-dev (>= 1~),
               libheif-dev (>= 1.10.0~),
               libheif-plugin-j2kdec <!nocheck>,
               libheif-plugin-libde265 <!nocheck>,
               libheif-plugin-x265 <!nocheck>,
               libjxl-dev (>= 0.7.0~) [linux-any],
               libjxr-dev,
               libkf6archive-dev (>= 6.10.0~),
               libopenexr-dev (>= 3.0~),
               libraw-dev (>= 0.20.2~),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-image-formats-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kimageformats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
Rules-Requires-Root: no

Package: kimageformat6-plugins
Architecture: any
Depends: libheif-plugin-j2kdec,
         libheif-plugin-libde265,
         libheif-plugin-x265,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kf6-kimageformat-plugins,
Replaces: kf6-kimageformat-plugins,
Description: additional image format plugins for Qt Gui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks 6.

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
   fail_param := || true
 endif
 
-ifeq ($(DEB_HOST_ARCH_CPU),s390x)
-  fail_param := || true
-endif
-
 %:
 	dh $@

## kf6-kimageformats 6.11.0

=== debian/changelog ===
kf6-kimageformats (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Drop patch applied upstream or not necessary anymore.
  * Backport upstream commit to fix build failure with Qt versions older than
    6.8.
  * Ignore test failures for now.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:18:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-j2kdec <!nocheck>,
@@ -15,7 +15,7 @@
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
                libjxr-dev,
-               libkf6archive-dev (>= 6.10.0~),
+               libkf6archive-dev (>= 6.11.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                pkgconf,

## kf6-kimageformats 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.10.0") # handled by release scripts
-set(KF_DEP_VERSION "6.10.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KImageFormats VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.10.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -72,11 +72,18 @@
 
 option(KIMAGEFORMATS_JXL "Enable plugin for JPEG XL format" ON)
 if(KIMAGEFORMATS_JXL)
-    pkg_check_modules(LibJXL IMPORTED_TARGET libjxl>=0.7.0)
-    pkg_check_modules(LibJXLThreads IMPORTED_TARGET libjxl_threads>=0.7.0)
-    pkg_check_modules(LibJXLCMS IMPORTED_TARGET libjxl_cms>=0.9.0)
+    pkg_check_modules(LibJXL IMPORTED_TARGET libjxl>=0.9.4)
+    pkg_check_modules(LibJXLThreads IMPORTED_TARGET libjxl_threads>=0.9.4)
+    pkg_check_modules(LibJXLCMS IMPORTED_TARGET libjxl_cms>=0.9.4)
 endif()
 add_feature_info(LibJXL LibJXL_FOUND "required for the QImage plugin for JPEG XL images")
+
+option(KIMAGEFORMATS_JP2 "Enable plugin for JPEG 2000 format" ON)
+if(KIMAGEFORMATS_JP2)
+    find_package(OpenJPEG CONFIG)
+endif()
+add_feature_info(OpenJPEG OpenJPEG_FOUND "required for the QImage plugin for JPEG 2000 images")
+
 
 find_package(LibRaw 0.20.2)
 set_package_properties(LibRaw PROPERTIES
@@ -93,7 +100,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.0
-    KF 6.8.0
+    KF 6.11.0
 )
 
 add_subdirectory(src)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_definitions(-DPLUGIN_DIR="${CMAKE_CURRENT_BINARY_DIR}/../bin")
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

macro(kimageformats_read_tests)
    cmake_parse_arguments(KIF_RT "" "FUZZ" "" ${ARGN})
    set(_fuzzarg)
    if (KIF_RT_FUZZ)
        set(_fuzzarg -f ${KIF_RT_FUZZ})
    endif()

    if (NOT TARGET readtest)
        add_executable(readtest readtest.cpp templateimage.cpp)
        target_link_libraries(readtest Qt6::Gui)
        target_compile_definitions(readtest
            PRIVATE IMAGEDIR="${CMAKE_CURRENT_SOURCE_DIR}/read")
        ecm_mark_as_test(readtest)
    endif()

    foreach(_testname ${KIF_RT_UNPARSED_ARGUMENTS})
        string(REGEX MATCH "-skipoptional" _is_skip_optional "${_testname}")
        unset(skip_optional_arg)
        if (_is_skip_optional)
            set(skip_optional_arg "--skip-optional-tests")
            string(REGEX REPLACE "-skipoptional$" "" _testname "${_testname}")
        endif()
        add_test(
            NAME kimageformats-read-${_testname}
            COMMAND readtest ${skip_optional_arg} ${_fuzzarg} ${_testname}
        )
    endforeach(_testname)
endmacro()

macro(kimageformats_write_tests)
    cmake_parse_arguments(KIF_RT "" "FUZZ" "" ${ARGN})
    set(_fuzzarg)
    if (KIF_RT_FUZZ)
        set(_fuzzarg -f ${KIF_RT_FUZZ})
    endif()

    if (NOT TARGET writetest)
        add_executable(writetest writetest.cpp)
        target_link_libraries(writetest Qt6::Gui)
        target_compile_definitions(writetest
            PRIVATE IMAGEDIR="${CMAKE_CURRENT_SOURCE_DIR}/write")
        ecm_mark_as_test(writetest)
    endif()
    foreach(_testname ${KIF_RT_UNPARSED_ARGUMENTS})
        string(REGEX MATCH "-lossless$" _is_lossless "${_testname}")
        string(REGEX MATCH "-nodatacheck" _is_no_data_check "${_testname}")
        string(REGEX MATCH "-skipoptional" _is_skip_optional "${_testname}")
        unset(skip_optional_arg)
        unset(lossless_arg)
        unset(no_data_check_arg)
        if (_is_lossless)
            set(lossless_arg "--lossless")
            string(REGEX REPLACE "-lossless$" "" _testname "${_testname}")
        endif()
        if (_is_no_data_check)
            set(no_data_check_arg "--no-data-check")
            string(REGEX REPLACE "-nodatacheck$" "" _testname "${_testname}")
        endif()
        if (_is_skip_optional)
            set(skip_optional_arg "--skip-optional-tests")
            string(REGEX REPLACE "-skipoptional$" "" _testname "${_testname}")
        endif()
        add_test(
            NAME kimageformats-write-${_testname}
            COMMAND writetest ${lossless_arg} ${no_data_check_arg} ${skip_optional_arg} ${_fuzzarg} ${_testname}
        )
    endforeach(_testname)
endmacro()

# Basic read tests
# Loads each <format> image in read/<format>/, and compares the
# result against the data read from the corresponding png file
kimageformats_read_tests(
    hdr
    pcx
    pfm
    psd
    pxr
    qoi
    ras
    rgb
    sct
    tga
)

if(KIMAGEFORMATS_DDS)
    kimageformats_read_tests(dds)
    kimageformats_write_tests(dds-nodatacheck-lossless)
endif()

if (KF6Archive_FOUND)
    kimageformats_read_tests(
        kra
        ora
    )
endif()

if (TARGET avif)
    kimageformats_read_tests(
        avif
    )
    kimageformats_write_tests(
        avif-nodatacheck-lossless
    )
endif()

if (LibHeif_FOUND)
    kimageformats_read_tests(
        heif
    )
    # because the plug-ins use RGB->YUV conversion which sometimes results in 1 value difference.
    kimageformats_write_tests(FUZZ 1
        heif-nodatacheck-lossless
    )

    if (LibHeif_VERSION VERSION_GREATER_EQUAL "1.17.0")
        kimageformats_read_tests(FUZZ 1
            hej2
        )
    endif()

    if (LibHeif_VERSION VERSION_GREATER_EQUAL "1.19.0")
        kimageformats_read_tests(FUZZ 4
            avci
        )
    endif()
endif()

if (OpenJPEG_FOUND)
    kimageformats_read_tests(
        jp2
    )
    # CMYK writing is incorrect in versions before 2.5.3
    if ("${OPENJPEG_MAJOR_VERSION}.${OPENJPEG_MINOR_VERSION}.${OPENJPEG_BUILD_VERSION}" VERSION_GREATER_EQUAL "2.5.3")
        kimageformats_write_tests(
            jp2-nodatacheck-lossless
        )
    endif()
endif()

if (LibJXL_FOUND AND LibJXLThreads_FOUND)
    if(LibJXL_VERSION VERSION_GREATER_EQUAL "0.11.0")
        kimageformats_read_tests(
            jxl
        )
        kimageformats_write_tests(
            jxl-nodatacheck-lossless
        )
    else()
        kimageformats_read_tests(
            jxl-skipoptional
        )
        kimageformats_write_tests(
            jxl-skipoptional-nodatacheck-lossless
        )
    endif()
endif()

if (LibJXR_FOUND)
    kimageformats_read_tests(
        jxr
    )
    kimageformats_write_tests(
        jxr-nodatacheck
    )
endif()

kimageformats_read_tests(
    xcf
)

# Basic write tests
# Loads each png image in write/, writes the data out
# as a <format> image, and compares the result against the
# the corresponding <format> file.
# You can append -lossless to the format to indicate that
# reading back the image data will result in an identical image.
kimageformats_write_tests(
    pcx-nodatacheck
    pic-lossless
    qoi-lossless
    rgb-lossless
    tga # fixme: the alpha images appear not to be written properly
)

# EPS read tests depend on the vagaries of GhostScript
# which we cannot even guarantee to find, so disable them for now
#if (BUILD_EPS_PLUGIN)
#    kimageformats_read_tests(eps)
#    kimageformats_write_tests(eps)
#endif()
if (OpenEXR_FOUND)
    kimageformats_read_tests(
        exr
    )
    # Color space conversions from sRGB to linear on saving and
    # from linear to sRGB on loading result in some rounding errors.
    kimageformats_write_tests(FUZZ 6
        exr-nodatacheck-lossless
    )
endif()

if (LibRaw_FOUND)
    kimageformats_read_tests(
        raw
    )
endif()

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::Test)
    message(STATUS "Qt6Test not found, some autotests will not be built.")
    return()
endif()

add_executable(pictest pictest.cpp)
target_link_libraries(pictest Qt6::Gui Qt6::Test)
ecm_mark_as_test(pictest)
add_test(NAME kimageformats-pic COMMAND pictest)

add_executable(anitest anitest.cpp)
target_link_libraries(anitest Qt6::Gui Qt6::Test)
ecm_mark_as_test(anitest)
add_test(NAME kimageformats-ani COMMAND anitest)

=== src/imageformats/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 ##################################
 
 if (TARGET avif)
-    kimageformats_add_plugin(kimg_avif SOURCES "avif.cpp")
+    kimageformats_add_plugin(kimg_avif SOURCES avif.cpp microexif.cpp)
     target_link_libraries(kimg_avif PRIVATE "avif")
 endif()
 
@@ -68,22 +68,21 @@
 ##################################
 
 if (LibHeif_FOUND)
-    kimageformats_add_plugin(kimg_heif SOURCES heif.cpp)
+    kimageformats_add_plugin(kimg_heif SOURCES heif.cpp microexif.cpp)
     target_link_libraries(kimg_heif PRIVATE PkgConfig::LibHeif)
 endif()
 
 ##################################
 
-if (LibJXL_FOUND AND LibJXLThreads_FOUND)
-    kimageformats_add_plugin(kimg_jxl SOURCES jxl.cpp)
-    target_link_libraries(kimg_jxl PRIVATE PkgConfig::LibJXL PkgConfig::LibJXLThreads)
-    if(LibJXL_VERSION VERSION_GREATER_EQUAL "0.9.0")
-        if(LibJXLCMS_FOUND)
-            target_link_libraries(kimg_jxl PRIVATE PkgConfig::LibJXLCMS)
-        else()
-            message(SEND_ERROR "libjxl_cms was not found!")
-        endif()
-    endif()
+if (LibJXL_FOUND AND LibJXLThreads_FOUND AND LibJXLCMS_FOUND)
+    kimageformats_add_plugin(kimg_jxl SOURCES jxl.cpp microexif.cpp)
+    target_link_libraries(kimg_jxl PRIVATE PkgConfig::LibJXL PkgConfig::LibJXLThreads PkgConfig::LibJXLCMS)
+endif()
+
+if (OpenJPEG_FOUND)
+    kimageformats_add_plugin(kimg_jp2 SOURCES jp2.cpp scanlineconverter.cpp)
+    target_include_directories(kimg_jp2 PRIVATE ${OPENJPEG_INCLUDE_DIRS})
+    target_link_libraries(kimg_jp2 PRIVATE ${OPENJPEG_LIBRARIES})
 endif()
 
 ##################################
@@ -100,7 +99,7 @@
 
 ##################################
 
-kimageformats_add_plugin(kimg_psd SOURCES psd.cpp scanlineconverter.cpp)
+kimageformats_add_plugin(kimg_psd SOURCES psd.cpp microexif.cpp scanlineconverter.cpp)
 
 ##################################
 
@@ -141,7 +140,7 @@
 ##################################
 
 if (LibJXR_FOUND)
-    kimageformats_add_plugin(kimg_jxr SOURCES jxr.cpp)
+    kimageformats_add_plugin(kimg_jxr SOURCES jxr.cpp microexif.cpp)
     kde_enable_exceptions()
     target_include_directories(kimg_jxr PRIVATE ${LIBJXR_INCLUDE_DIRS})
     target_link_libraries(kimg_jxr PRIVATE ${LIBJXR_LIBRARIES})

=== debian/changelog ===
kf6-kimageformats (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:52:28 +0000

kf6-kimageformats (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * New optional build depend libopenjp2-7-dev.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:48:07 +0000

kf6-kimageformats (6.10.0-0ubuntu2) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:44:06 -0500

kf6-kimageformats (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:19:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kf6-kimageformats
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-j2kdec <!nocheck>,
@@ -15,18 +16,20 @@
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
                libjxr-dev,
-               libkf6archive-dev (>= 6.11.0~),
+               libkf6archive-dev (>= 6.12.0~),
                libopenexr-dev (>= 3.0~),
+               libopenjp2-7-dev,
                libraw-dev (>= 0.20.2~),
+               libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-image-formats-plugins <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
 Rules-Requires-Root: no
 
 Package: kimageformat6-plugins

## kf6-kimageformats 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KImageFormats VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -99,8 +99,8 @@
 add_feature_info(LibJXR LibJXR_FOUND "required for the QImage plugin for JPEG XR images")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -122,9 +122,12 @@
         kimageformats_read_tests(FUZZ 1
             hej2
         )
-    endif()
-
-    if (LibHeif_VERSION VERSION_GREATER_EQUAL "1.19.0")
+        kimageformats_write_tests(FUZZ 1
+            hej2-nodatacheck-lossless
+        )
+    endif()
+
+    if (LibHeif_VERSION VERSION_GREATER_EQUAL "1.19.6")
         kimageformats_read_tests(FUZZ 4
             avci
         )

=== debian/changelog ===
kf6-kimageformats (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Improve EXIF V3 compatibility.
    - Multiple fixes for jxr files management.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 May 2025 01:06:18 +0200

kf6-kimageformats (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:54 +0200

=== debian/control ===
Source: kf6-kimageformats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libavif-dev (>= 1~),
               libcups2-dev,
               libheif-dev (>= 1.10.0~),
               libheif-plugin-j2kdec <!nocheck>,
               libheif-plugin-libde265 <!nocheck>,
               libheif-plugin-x265 <!nocheck>,
               libjxl-dev (>= 0.7.0~) [linux-any],
               libkf6archive-dev (>= 6.13.0~),
               libopenexr-dev (>= 3.0~),
               libopenjp2-7-dev,
               libraw-dev (>= 0.20.2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-image-formats-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kimageformats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
Rules-Requires-Root: no

Package: kimageformat6-plugins
Architecture: any
Depends: libheif-plugin-j2kdec,
         libheif-plugin-libde265,
         libheif-plugin-x265,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kf6-kimageformat-plugins,
Replaces: kf6-kimageformat-plugins,
Description: additional image format plugins for Qt Gui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks 6.
